var sparqlEndpoint= location.protocol + '//' + location.hostname + ":3030/greenstone/query" ;
var collectionName = gs.cgiParams.c;
function getAutocompleteQuery()
{
var sparqlQuery = "PREFIX gsdl: <http://localhost:3030/greenstone/data/>" +
			  "SELECT ?o ?identifier where{ "+
			  "   GRAPH gsdl:" + collectionName + " {" +
			  "   ?s <http://purl.org/dc/elements/1.1/Title> ?o" +
			  '   FILTER regex(?o, "' + $('#autocomplete').val() + '", "i")'+
			  '}}LIMIT 50 ';

    	return sparqlEndpoint + "?query=" + encodeURIComponent(sparqlQuery);

}
function setupPage()
{ 

	$("#btn_ShowChart").click(function(){
		newQuery("sgvzl_container", $('#sel_ChartType').val(),2000);
	});

	$("#cb_RefineSearch").click(function(){
		if(document.getElementById("cb_RefineSearch").checked==false)
			toggle_RefineSearch(0);
		else
			toggle_RefineSearch(1);
		generateQuery();
	});

	

	$("#sel_Limit").change(function(){
		generateQuery();
	});

	$('#div_Selects select').combobox({
			select: function(event, ui){
				var id = event.target.id;
				if(id=="sel_Predicate"){
				updateRefineObjectSelector($("#sel_Predicate").val());
				//Empty predicate selector and put empty option in it
			/*	$('#sel_RefinePredicate').empty();
				$('#sel_RefinePredicate')
				.append("<option value=\"\">Select ?o above</option>");
				$('#sel_RefinePredicate').next().find('.custom-combobox-input').val("Select ?o above");*/

				generateQuery();
				}
				else if(id=="sel_RefineObject"){
				//updateRefinePredicateSelector($("#sel_RefineObject").val());
				generateQuery();
				}
				else if(id=="sel_RefinePredicate"){
				generateQuery();
				}
		}});
	$('#table_refineControls tr td:first').addClass("alignRight");

	$('#autocomplete').autocomplete({
	source: function(request, response) {
		$.ajax({
			url: getAutocompleteQuery(),
			type:"GET",
			data:"output=json",
			success: function( json ) {
				console.log($('#autocomplete').val());
				var parsedJSON = ((typeof json) == "string") ? $.parseJSON(json) : json;
				response( $.map(json.results.bindings, function(item){
					return{
						label: /*item.identifier.value + " " + */item.o.value,
						value: item.o.value
					}
				}))
			},
			open: function(){
				$(this).removeClass("ui-corner-all").addClass("ui-corner-top");
			},
			close: function(){
				$(this).removeClass("ui-corner-top").addClass("ui-corner-all");
			}
			});	
		},
	appendTo: "div_autocomplete",
	minLength: 0,
	delay: 500,
	})

	setupCharts();

}

function setupCharts()
{	
	$('#div_PredicateOverview .google-visualization-table-tr-even td:first-child, #div_PredicateOverview .google-visualization-table-tr-odd td:first-child').live("click", function(){
		var clickedText = tidyPredicate($(this).text());
		$('#sel_Predicate option[text="' + clickedText + '"]').attr("selected","selected");
		$('#sel_Predicate option').filter(function(){
			return $(this).text() == clickedText;
		}).attr('selected', true);
		
		//Update refine object selector with new value for predicate
		updateRefineObjectSelector($("#sel_Predicate").val());

		//Clear refine predicate selector
		/*$('#sel_RefinePredicate').empty();
		$('#sel_RefinePredicate')
		.append("<option value=\"\">Select ?o above</option>");
		$('#sel_RefinePredicate').next().find('.custom-combobox-input').val("Select ?o above");*/
		generateQuery();
		
		$('#sel_Predicate').siblings('.custom-combobox').find('.custom-combobox-input').val(clickedText);

		newQuery("sgvzl_container", $('#sel_ChartType').val(),500);
	});

	sgvizler.defaultChartWidth(675);
}
